local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")

function onBegin()

    disableMovement()
    disablePause ()

    setDarkness(0)
    setBloomStrength(0)
    player.Facing = getEnum("Celeste.Facings", "Right")

    --local level = getLevel()
    --coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(8912, 4320), 2, 0.01))

    wait(8)
    
    local darkness = getDarkness ()
    while (true) do
        wait(0.01)
        darkness = darkness + 0.01
        setDarkness (darkness)
        if darkness > 0.99 then
            break
        end
    end

    teleportTo(613, 3096, "sunset_01")

    enableMovement()
    enablePause ()
    endCutscene ()
	

end